DmaDeviceConfig Struct Reference

Device configuration structure, part of DmaConfig. More...

`#include <svc.h>`

## Data Fields

s8 | deviceId
| DMA device ID.
s8 | allowedAlignments
| Mask of allowed access alignments (8, 4, 2, 1).
s16 | burstSize
| Number of bytes transferred in a burst loop. Can be 0 (in which case the max allowed alignment is used as unit).
s16 | transferSize
| Number of bytes transferred in a "transfer" loop (made of burst loops).
s16 | burstStride
| Burst loop stride, can be <= 0.
s16 | transferStride
| "Transfer" loop stride, can be <= 0.

## Detailed Description

Device configuration structure, part of DmaConfig.

Note
  - if (and only if) src/dst is a device, then src/dst won't be auto-incremented.
  - the kernel uses DMAMOV instead of DMAADNH, when having to decrement (possibly working around an erratum); this forces all loops to be unrolled – you need to keep that in mind when using negative increments, as the kernel uses a limit of 100 DMA instruction bytes per channel.

The documentation for this struct was generated from the following file:

- include/3ds/svc.h